Record Data Plane Heartbeat
curl --request POST \
--url https://api.example.com/api/v1/heartbeat \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instance_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": "<string>",
"bundle_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.example.com/api/v1/heartbeat"
payload = {
"instance_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": "<string>",
"bundle_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
instance_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
version: '<string>',
bundle_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.example.com/api/v1/heartbeat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"instance_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Synchronization
Record Data Plane Heartbeat
Create or refresh a data-plane instance at the management key’s scope.
Required permission: data-planes.heartbeat.
POST
/
api
/
v1
/
heartbeat
Record Data Plane Heartbeat
Authorizations
ManagementKeySessionCookie
A control-plane management key using the sk-cp- prefix. Inference keys are not accepted by control-plane endpoints.
Body
application/json
The identity, software version, and single active bundle reported by a data plane.
Response
Successful Response
Show child attributes
Show child attributes